/***************************************************************************
 *   Copyright (C) 2004 by Work@                                           *
 *   jstubbs@work-at.co.jp                                                 *
 *                                                                         *
 *   This program may be distributed under the terms of the Q Public       *
 *   License as defined by Trolltech AS of Norway and appearing in the     *
 *   file LICENSE.QPL included in the packaging of this file.              *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                  *
 ***************************************************************************/

#ifndef __DATATYPES_H__
#define __DATATYPES_H__

#include <qstring.h>
#include <qvaluelist.h>

struct Site
{
	QString url;
	QString title;
	bool enabled;
	
	Site()
	{
		url = "";
		title = "";
		enabled = false;
	}
	
	bool operator ==(const Site& other) const
	{
		return (url == other.url);
	}
	
	bool operator !=(const Site& other) const
	{
		return (url != other.url);
	}
};

typedef QValueList<Site> SiteList;

struct Link
{
	QString url;
	QString title;
	QString comment;
	
	Link()
	{
		url = "";
		title = "";
		comment = "";
	}
	
	bool operator ==(const Link& other) const
	{
		return (url == other.url &&
		        title == other.title &&
		        comment == other.comment);
	}
	
	bool operator !=(const Link& other) const
	{
		return (url != other.url ||
		        title != other.title ||
		        comment != other.comment);
	}
};

typedef QValueList<Link> LinkList;

struct Item
{
	Link channel;
	Link headline;
	
	bool operator ==(const Item& other) const
	{
		return (channel == other.channel && headline == other.headline);
	}
	
	bool operator !=(const Item& other) const
	{
		return (channel != other.channel || headline != other.headline);
	}
};

typedef QValueList<Item> ItemList;

#endif
