/***************************************************************************
 *   Copyright (C) 2004 by Work@                                           *
 *   jstubbs@work-at.co.jp                                                 *
 *                                                                         *
 *   This program may be distributed under the terms of the Q Public       *
 *   License as defined by Trolltech AS of Norway and appearing in the     *
 *   file LICENSE.QPL included in the packaging of this file.              *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                  *
 ***************************************************************************/

#ifndef __SKIN_H__
#define __SKIN_H__

#include <qpixmap.h>
#include <qbitmap.h>
#include <qrect.h>

class ConfigFile;

class Skin
{
	public:
		Skin(const QString& name);
		
		static QStringList available();
		
		const QPixmap& base() const {return _base;}
		const QBitmap& mask() const {return _mask;}
		const QPixmap& reloadon() const {return _reloadon;}
		const QPixmap& reloadoff() const {return _reloadoff;}
		const QPixmap& pauseon() const {return _pauseon;}
		const QPixmap& pauseoff() const {return _pauseoff;}
		const QRect& size() const {return _size;}
		const QRect& close() const {return _close;}
		const QRect& minimize() const {return _minimize;}
		const QRect& reload() const {return _reload;}
		const QRect& pause() const {return _pause;}
		const QRect& ticker() const {return _ticker;}
		const QRect& tabulate() const {return _tabulate;}
	
	private:
		QRect getRect(const ConfigFile* f, const QString& name);
		QPixmap _base;
		QBitmap _mask;
		QPixmap _reloadon;
		QPixmap _reloadoff;
		QPixmap _pauseon;
		QPixmap _pauseoff;
		QRect _size;
		QRect _close;
		QRect _minimize;
		QRect _reload;
		QRect _pause;
		QRect _ticker;
		QRect _tabulate;
};

#endif
